Mint NFT(s)
curl --request POST \
--url https://api.neynar.com/v2/farcaster/nft/mint/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-wallet-id: <x-wallet-id>' \
--data '
{
"contract_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"network": "base",
"recipients": [
{
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"fid": "<unknown>",
"quantity": 1
}
],
"async": false
}
'import requests
url = "https://api.neynar.com/v2/farcaster/nft/mint/"
payload = {
"contract_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"network": "base",
"recipients": [
{
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"fid": "<unknown>",
"quantity": 1
}
],
"async": False
}
headers = {
"x-wallet-id": "<x-wallet-id>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-wallet-id': '<x-wallet-id>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
contract_address: '0x5a927ac639636e534b678e81768ca19e2c6280b7',
network: 'base',
recipients: [
{
address: '0x5a927ac639636e534b678e81768ca19e2c6280b7',
fid: '<unknown>',
quantity: 1
}
],
async: false
})
};
fetch('https://api.neynar.com/v2/farcaster/nft/mint/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"recipient": {
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"quantity": 2,
"fid": 3,
"tokens": [
{
"token_id": "<string>"
}
]
},
"transaction_hash": "<string>",
"receipt": {
"block_number": "<string>",
"gas_used": "<string>",
"status": "<string>"
}
}
]
}{
"code": "InvalidField",
"errors": [
{
"code": "<string>",
"expected": "<string>",
"message": "<string>",
"path": [
"<string>"
],
"received": "<string>"
}
],
"message": "Invalid query parameters"
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}NFTs
Mint NFT(s)
Mints an NFT to one or more recipients on a specified network and contract, using a configured server wallet. Contact us to set up your wallet configuration if you donโt have one.
POST
/
v2
/
farcaster
/
nft
/
mint
/
Mint NFT(s)
Related tutorial: Minting for Farcaster Users
Authorizations
API key to authorize requests
Headers
Wallet ID to use for transactions
Body
application/json
Request body for NFT minting operation.
Ethereum address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x5a927ac639636e534b678e81768ca19e2c6280b7"
Network to mint on.
Available options:
base, optimism, base-sepolia Example:
"base"
List of recipients to mint to (1-200 recipients allowed).
Required array length:
1 - 200 elementsNFT mint recipient. Exactly one of "address" or "fid" must be set.
- Option 1
- Option 2
Show child attributes
Show child attributes
If true, returns immediately after sending the transaction.
Example:
false
Response
Success
Response for NFT minting operation.
Array of per-recipient mint results (success or error).
Successful mint transaction.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
โI